RM(1)

NAVN
rm - fjern filer eller mapper

SYNOPSIS
rm [FLAG]... [FIL]...

BESKRIVELSE
Denne manualside dokumenterer GNU-versionen af rm. rm fjerner hver angivet fil. Som standard så fjernes ikke mapper.

Hvis tilvalget -I eller --interactive=once er angivet, og der ikke er mere end tre filer eller -r, -R eller --recursive er angivet, så spørger rm brugeren om hele operationen skal fortsætte. Hvis svaret ikke er bekræftende, så afbrydes hele kommandoen.

Ellers, hvis en fil er skrivebeskyttet, er standardind terminalen og tilvalgene -f eller --force ikke er angivet, eller tilvalgene -i eller --interactive=always er angivet, så spørger rm brugeren om filen skal fjernes. Hvis svaret ikke er bekræftende, så udelades filen.

TILVALG

Fjern (aflænk) FILerne.

-f, --force
    ignorér filer og argumenter, der ikke findes; spørg aldrig

-i  spørg før hver sletning

-I  spørg én gang før mere end tre filer fjernes, eller når der fjernes rekursivt. Mindre påtrængende end -i, men beskytter stadig mod de fleste fejltagelser

--interactive[=NÅR]
    spørg jf. NÅR: never, once (-I), eller always (-i). Uden NÅR spørges altid

--one-file-system
    når et hierarki fjernes rekursivt, så spring ethvert katalog over, der findes på et andet filsystem end det, som svarer til kommandolinjeargumentet

--no-preserve-root
    behandl ikke "/" specielt

--preserve-root[=all]
    fjern ikke "/" (standard); med "all" afvises alle kommandolinjeargumenter, som ligger på en anden enhed end deres overkatalog

-r, -R, --recursive
    fjern kataloger og deres indhold rekursivt

-d, --dir
    fjern tomme kataloger

-v, --verbose
    forklar hvad der sker

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

Som standard fjerner rm ikke kataloger. Brug flaget --recursive (-r eller -R) for at fjerne hvert anført katalog også, sammen med alt indhold.

For at fjerne en fil hvis navn begynder med et "-", for eksempel "-foo", kan du bruge en af disse kommandoer:

    rm -- -foo

    rm ./-foo

Bemærk at hvis du bruger rm til at fjerne en fil, er det måske muligt at genskabe noget af denne fils indhold givet tilstrækkelig ekspertise og/eller tid. Hvis du ønsker større sikkerhed for, at indholdet virkelig ikke kan genskabes, så overvej at bruge »shred(1)«.

FORFATTER
Skrevet af Paul Rubin, David MacKenzie, Richard M. Stallman og Jim Meyering.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
unlink(1), unlink(2), chattr(1), shred(1)

Fuld dokumentation <https://www.gnu.org/software/coreutils/rm>
eller lokalt tilgængelig via: info '(coreutils) rm invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.